#include "Soft_Uart.h"

extern void delayMicro(uint32_t micros);
//========================================================================
// 函数: sBitTime_Delay(value)
// 描述: 位时间函数。
// 参数: none.
// 返回: none.
// 版本: VER1.0
// 日期: 2013-4-1
// 备注: 
//========================================================================
#define sBitTime_Delay(value)   delayMicro(value)	//请使用微秒延时函数

//-------------------------------------------------------------------------------------------------------------------
// 函数简介  : 模拟串口发送一个字节
// 输入参数  : sTXD:发送端口	参照Soft_Pin.h文件中的sPin_t定义
//             BaudRate:波特率
//             dat:要发送的数据字节
// 输出参数  : 无
// 返回值    : 无
//-------------------------------------------------------------------------------------------------------------------
void sTxSendAbyte(sPin_t sTXD,uint32_t BaudRate, u8 dat)
{
	u8	i;
	BaudRate = (1000000.0 / BaudRate);
	EA = 0;
	sTXD(PIN_LOW);
	sBitTime_Delay(BaudRate);
	for(i=0; i<8; i++)
	{
		if(dat & 1)		sTXD(PIN_HIGH);
		else			sTXD(PIN_LOW);
		dat >>= 1;
		sBitTime_Delay(BaudRate);
	}
	sTXD(PIN_HIGH);
	EA = 1;
	sBitTime_Delay(BaudRate);
	sBitTime_Delay(BaudRate);
}


//========================================================================
// 函数: void sPrintString(sPin_t sTXD,uint32_t BaudRate, u8 *str)
// 描述: 模拟串口发送一个字符串
// 参数: sTXD:发送端口	参照Soft_Pin.h文件中的sPin_t定义
//       BaudRate:波特率
//       str:要发送的字符串
// 返回: none.
// 备注:
//========================================================================
void sPrintString(sPin_t sTXD,uint32_t BaudRate, u8 *str)
{
	u8	i, dat;
	BaudRate = (1000000.0 / BaudRate);
    for (; *str != '\0'; str++)
	{
		dat = *str;
		EA = 0;
		sTXD(PIN_LOW);
		sBitTime_Delay(BaudRate);
		for(i=0; i<8; i++)
		{
			if(dat & 1)		sTXD(PIN_HIGH);
			else			sTXD(PIN_LOW);
			dat >>= 1;
			sBitTime_Delay(BaudRate);
		}
		sTXD(PIN_HIGH);
		EA = 1;
		sBitTime_Delay(BaudRate);
		sBitTime_Delay(BaudRate);
	}
}



